/* Estilos específicos para as telas de login e cadastro de usuário */

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
}

html{
    font-size: 16px;
    height: 100vh;
}

body{
    background-color: rgb(224, 224, 224);
    height: 100vh;
}

.login-container{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    min-height: 100vh;
    padding-top: 30px;
    padding-bottom: 20px;
}

form{
    width: 550px;
    max-width: 90%;
    background-color: rgba(255, 255, 255, 0.65);
    border-radius: 10px;
    border: 2px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 8px 24px -4px rgba(0, 0, 0, .2), 0 0 0 1px rgba(0, 0, 0, .1);
    padding: 30px 30px 25px 30px;
}

form *{
    color: #272727;
    letter-spacing: 0.5px;
    outline: none;
    border: none;
}

.img-logo{
    width: 200px;
    max-width: 80%;
    margin-bottom: 25px;
}

form h3{
    font-size: 32px;
    font-weight: 500;
    line-height: 42px;
    text-align: center;
    margin-bottom: 30px;
}

form label{
    display: block;
    margin-top: 30px;
    font-weight: 500;
}

.radio-group {
    display: flex;
    gap: 30px;
}

.radio-option {
    display: flex;
    align-items: center;
    font-weight: 400;
    gap: 8px;
    cursor: pointer;
    user-select: none;
    margin-top: 15px;
}
form input[type="radio"] {
    all: unset; 
    appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #ccc;
    border-radius: 50%;
    position: relative;
    cursor: pointer;
    transition: border 0.2s ease-in-out;
    background-color: transparent;
    display: inline-block;
    vertical-align: middle;
}

form input[type="radio"]:checked::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10px; 
    height: 10px;
    border-radius: 50%;
    background-color: #0076df;
}

::placeholder{
    color: #757575;
}

form button{
    margin-top: 12px;
    width: 100%;
    background-color: #0076df;
    color: #ffffff;
    padding: 10px 0;
    font-size: 18px;
    font-weight: 600;
    border-radius: 5px;
    cursor: pointer;
}

.actions{
    margin-top: 25px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;        
}

.actions a{
    text-decoration: none;
}

.actions a:hover{
    text-decoration: underline;
}

.actions p{
    color: #696969;
    margin-bottom: 10px;
}

.input-container {
    position: relative;
    width: 100%;
}

.input-container .icon {
    position: absolute;
    left: 13px;
    top: 60%;
    transform: translateY(-50%);
    color: #757575;
    pointer-events: none; 
}

.input-container .input-field {
    width: 100%;
    height: 40px;
    padding-left: 40px; 
    border: 1px solid rgb(224, 224, 224);
    background-color: #f9f9f9;
    font-size: 14px;
    color: #272727;
    margin-top: 12px;
    font-weight: 400;
}

.input-container .input-field:focus{
    background-color: #ffffff;
}

.required-content {
    color: red;
    margin-left: 4px;
}

.simple-input{
    width: 100%;
    height: 40px;
    padding: 0 10px;
    border: 1px solid rgb(224, 224, 224);
    background-color: #f9f9f9;
    font-size: 14px;
    color: #272727;
    margin-top: 12px;
    font-weight: 400;
}

.simple-input:focus{
    background-color: #ffffff;
}

form h4 {
    margin-top: 30px;
    color: #646464;
}

form h4:nth-of-type(2){
    margin-top: 50px;
}

form hr {
    border: none;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.1);
    margin: 10px 0 0 0;
    border-radius: 5px;
}

.campo-invalido{
    font-weight: bold;
    color: red;
    display: inline-block;
    margin-top: 10px;
}

.confirmacao{
    display: none;
}

button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.information-container{
    width: 550px;
    max-width: 90%;
    background-color: rgba(255, 255, 255, 0.65);
    border-radius: 10px;
    border: 2px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 8px 24px -4px rgba(0, 0, 0, .2), 0 0 0 1px rgba(0, 0, 0, .1);
    padding: 30px 30px 25px 30px;
}

.information-container p{
    text-align: center;
    font-weight: 500;
}

.information-container a{
    display: block;  /* <-- ESSENCIAL */
    background-color: #dddddd;
    color: #272727;
    width: 100%;
    padding: 10px;
    font-size: 18px;
    font-weight: 600;
    border-radius: 5px;
    text-decoration: none;
    text-align: center;
    margin-top: 30px;
}

.information-container a:hover{
    background-color: #bdbdbd;
}

/* Avisos */
.alert {
    color: rgb(51, 51, 51);
    padding: 10px 30px;
    font-weight: bold;
    margin-bottom: 20px;
    border-radius: 30px;
    position: relative; /* necessário pro botão */
}

.alert-sucesso {
    background-color: #24dd80;
}

.alert-falha {
    background-color: #f0525a;
}

.alert-close {
    position: absolute;
    right: 10px;
    top: 5px;
    border: none;
    background: transparent;
    font-size: 20px;
    cursor: pointer;
    font-weight: bold;
}
